EnvironmentalExecutionReportItem
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments
Class EnvironmentalExecutionReportItem

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments.EnvironmentalExecutionReportItem

    public class EnvironmentalExecutionReportItem

extends DataModel

Constructor Summary
`EnvironmentalExecutionReportItem()`
`EnvironmentalExecutionReportItem(java.lang.Double percent, java.lang.String resourceLoad, java.lang.String resourcesMap, java.lang.String elaboratedSpecies)`

Method Summary
`java.lang.String` | `getElaboratedSpecies()`
`java.lang.Double` | `getPercent()`
`java.lang.String` | `getResourceLoad()`
`java.lang.String` | `getResourcesMap()`
`void` | `setElaboratedSpecies(java.lang.String elaboratedSpecies)`
`void` | `setPercent(java.lang.Double percent)`
`void` | `setResourceLoad(java.lang.String resourceLoad)`
`void` | `setResourcesMap(java.lang.String resourcesMap)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentalExecutionReportItem

    public EnvironmentalExecutionReportItem()

### EnvironmentalExecutionReportItem

    public EnvironmentalExecutionReportItem(java.lang.Double percent,
                                            java.lang.String resourceLoad,
                                            java.lang.String resourcesMap,
                                            java.lang.String elaboratedSpecies)

Method Detail

### getPercent

    public java.lang.Double getPercent()

### setPercent

    public void setPercent(java.lang.Double percent)

### getResourceLoad

    public java.lang.String getResourceLoad()

### setResourceLoad

    public void setResourceLoad(java.lang.String resourceLoad)

### getResourcesMap

    public java.lang.String getResourcesMap()

### setResourcesMap

    public void setResourcesMap(java.lang.String resourcesMap)

### getElaboratedSpecies

    public java.lang.String getElaboratedSpecies()

### setElaboratedSpecies

    public void setElaboratedSpecies(java.lang.String elaboratedSpecies)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD